# caosdb-cppinttest

Integration tests for caosdb-cpplib and the caosdb-server

# Dependencies

* clang-tidy
* clang-format
* include-what-you-use
* cmake
* conan

# Run tests

## Prerequisite
Create a local conan package from the caosdb-cpplib repository

## Build & Execution
1. `mkdir build && cd build/`
2. `conan install .. -s "compiler.libcxx=libstdc++11"`
3. `cmake -B . ..`
4. `cmake --build .`
5. Provide client configuration at `~/.caosdb-client.json` or via any other method described in the docs.
6. There are tests which need access to the server's certificate file. Define
   path to the pem file in the `CAOSDB_SERVER_CERT` environment variable.
7. Run with `ctest` in the build directory.

### Troubleshooting ###

- If you don't have `clang-tidy` installed, you can run the first `cmake` command with
  `LINTING=OFF`: `cmake -D LINTING=OFF -B . ..`

## Formatting, style, linting ##

`make format`
